cpu-itb: 
  crondor:
    submit-description:
      universe: "local"
      getenv: "PATH"
      executable: "/home/james.clark/virtualenvs/igwn-pool-exorciser/bin/igwn-exorciser"
      arguments: "--parent-directory ./ --config-file /local/james.clark/pool-exorciser/config-cpu-sites-itb.yaml make-dags --submit-dags"
      cron_hour: "*/12"
      cron_minute: "0"
      cron_window: "300"
      on_exit_remove: "false"
      stream_output: "True"
      stream_error: "True"
      accounting_group_user: "james.clark"
      accounting_group: "cit.scheduled.itb-test"
      request_disk: "1 MB"
      request_memory: "100 MB"
      notification: "error"
      notify_user: "james.clark@ligo.org"
      queue: "1"
  test:
    jobs:
      - job: "cpu-burn"
        submit-description:
          universe: "vanilla"
          executable: "/home/james.clark/src/stress-ng/stress-ng-0.17.03/stress-ng"
          should_transfer_files: "YES"
          transfer_executable: "True"
          arguments: "--vm 1 --vm-bytes 2G --timeout 1800s --verbose"
          request_cpus: "1"
          request_memory: "2 GB"
          request_disk: "100 MB"
          requirements: "IS_GLIDEIN"
          MY.is_itb: "True"
          stream_output: "True"
          stream_error: "True"
          accounting_group_user: "james.clark"
          accounting_group: "cit.scheduled.itb-test"
          MY.flock_local: "False"
          MY.PoolExorciser: "True"
          MY.DESIRED_Sites: "$(DESIRED_Sites)"
          max_retries: "0"
          periodic_remove: "(time() - QDate) > (3 * 3600)"
    dag:
      plugin: "heartbeats"
      mode: "cpu"
      sites: "any" # Run at ANY site
      njobs: 100
